// Dallas 1-Wire Temperatursensor DS18B20

#include <DallasTemperature.h>    // benoetigt auch <OneWire.h>

#define ONE_WIRE_PIN 8            // Datenleitung

void setup() 
{
  Serial.begin (9600);
}

void loop() 
{
  OneWire oneWire (ONE_WIRE_PIN);          // Neue Instanz 1-Wire Bus
  
  // Instanz des 1-Wire Bus an neue Instanz von Dallas Temperature uebergeben:
  DallasTemperature ds1820 (&oneWire);    

  ds1820.begin();                     // Bus initialisieren, 1x erforderlich

  while (1)                           // endlos...
  {
    ds1820.requestTemperatures();     // Temperatur messen => im Scratchpad
    
    Serial.print("Temp.: ");

    // 1. Teilnehmer: Adresse 0 aus Skratchpad auslesen:
    Serial.println (ds1820.getTempCByIndex (0));     
    delay (500);
  }
}
