// IR-Signal auswerten

#include "Arduino-IRremote-master/IRremote.h"   // https://github.com/z3t0/Arduino-IRremote

#define RECV_PIN A5       // IR-Signal
#define ON_OFF 0x02       // IR-Code fuer An/Aus

void setup() 
{
  Serial.begin (9600);
}

void loop() 
{
  decode_results werte;         // Ergebnis des Decoders
  IRrecv IRDiode (RECV_PIN);    // Neue Instanz
  IRDiode.enableIRIn();         // Empfaenger einrichten
  
  while(1)                                  // endlos...
  {
    if (IRDiode.decode(&werte))             // Wenn Signal empfangen wurde...
    {
      Serial.println (werte.value, HEX);    // IR Code hexadezimal ausgeben
      if (werte.value == ON_OFF)
        Serial.println ("Ein/Aus Schalter");
        
      IRDiode.resume();                     // IR Funktion neustarten
    }
  }
}
