// LED L auf dem Arduino Uno mit Taster schalten
// interner Pull-Up und IRQ-Behandlung

#define PIN 3           // IRQ-Eingangspin für Taster

void setup()
{
  pinMode (LED_BUILTIN, OUTPUT);    // LED L (Pin 13) als Ausgang
  pinMode (PIN, INPUT_PULLUP);      // Pin internen Pull-Up aktivieren
  // IRQ einschalten:
  attachInterrupt(digitalPinToInterrupt(PIN), toggle, CHANGE);
  Serial.begin(57600);              // öffne COM-Port 
}

void loop()
{
  ;     // nichts machen
}

void toggle ()
{
  Serial.print (digitalRead(PIN));         // Ausgabe Variable mit Zeilenumbruch
  digitalWrite (LED_BUILTIN, !digitalRead(LED_BUILTIN));   // LED toggle
}

