// DHT Sensor 

#include <SimpleDHT.h>

#define DHT11 2                   // Datenpin 

void setup() 
{
  Serial.begin (9600);
}

void loop() 
{
  SimpleDHT11 sensor;             // Neue Instanz der Klasse
  uint8_t temp, humidity;   

  while (1)                       // endlos...
  {
    // Sensor abfragen, Messwerte mit Zeigern, kein Bitmuster
    if (sensor.read (DHT11, &temp, &humidity, NULL))  // Fehler
      Serial.println ("DHT11 Fehler");
    else                                              // Daten OK
    {
      Serial.print(temp);         
      Serial.print(" 'C, "); 
      Serial.print(humidity); 
      Serial.println(" %");
    }
    delay(1000);                  // DHT11 sampling rate max. 1 HZ
  }
}
