// RGB LED ansteuern

#define LEDR 4
#define LEDG 3
#define LEDB 2

void setup()
{
  pinMode (LEDR, OUTPUT);        // LED an Ausgang
  pinMode (LEDG, OUTPUT);        // LED an Ausgang
  pinMode (LEDB, OUTPUT);        // LED an Ausgang
}

void loop()
{
  uint8_t i;

  while (1)                     // endlos...
  {
    for (i = 1; i <= 7; i++)    // 1..7
    {
      RGB (i);                  // Farbwert ausgeben
      delay (800);              // Verzoegerung
    }
  }
}

void RGB (uint8_t color)
{
  if (color & 1)                // Bit 1
    digitalWrite (LEDR, HIGH);
  else
    digitalWrite (LEDR, LOW);
   
  if (color & 2)                // Bit 2
    digitalWrite (LEDG, HIGH);
  else
    digitalWrite (LEDG, LOW);

  if (color & 4)                // Bit 3
    digitalWrite (LEDB, HIGH);
  else
    digitalWrite (LEDB, LOW);
}

