// Analogen Messwert einlesen und seriell ausgeben

#define AIN A0                    // Analoger Eingang

void setup() 
{
  Serial.begin (9600);            // Seriellen Port oeffnen
}

void loop() 
{
  uint16_t wert;                  // 10 Bit A/D

  while (1)
  {
    wert = analogRead (AIN);      // Analogwert einlesen
    Serial.print ("Helligkeit: ");
    Serial.print (wert);
    Serial.print (" - Spannung: ");
    Serial.print (5 / 1024.0 * wert);
    Serial.println (" V");
    delay (500);
  }
}
